
const char *quickstartHelp = 
	"<FONT SIZE=-1><B><A HREF=\"quickstart?ac=21\">[Getting Started]</A>&nbsp;&nbsp;<A HREF=\"howto?ac=21\">[How To...]</A>&nbsp;&nbsp;<A HREF=\"tips?ac=21\">[Browser Tips]</A>&nbsp;&nbsp;<A HREF=\"defs?ac=21\">[Glossary]</A>&nbsp;&nbsp;<A HREF=\"roadmap?ac=21\">[Road Map]</A>&nbsp;&nbsp;</B></FONT><BR>\n"
	"<P><B><FONT SIZE=+1>Getting Started with Perforce and P4Web</FONT></B><BR>\n"
	"\n"
	"<P> This page is for users who are new to Perforce and P4Web. It describes how \n"
	"  to use P4Web in <a href=\"helper?ac=21\">Standard mode</a> to do the common Perforce \n"
	"  tasks: setting up a workspace, filling a workspace (\"syncing\"), working with \n"
	"  files, and submitting files (in a \"changelist\"), and resolving files. Read this \n"
	"  page first to get the most out of P4Web. \n"
	"<OL>\n"
	"<P><LI>\n"
	"       <A HREF=\"quickstart?ac=21#setup\"> Setting up a workspace </A>\n"
	"<P><LI>\n"
	"       <A HREF=\"quickstart?ac=21#filling\"> Filling a workspace with files (\"syncing\")</A>\n"
	"	   <UL>\n"
	"	   <LI><A HREF=\"quickstart?ac=21#updating\"> Updating a workspace (\"re-syncing\") </A>\n"
	"	   </UL>\n"
	"<P><LI>\n"
	"       <A HREF=\"quickstart?ac=21#working\"> Working on files </A>\n"
	"	   <UL>\n"
	"	   <LI><A HREF=\"quickstart?ac=21#editing\"> Editing files </A>\n"
	"	   <LI><A HREF=\"quickstart?ac=21#deleting\"> Deleting files </A>\n"
	"	   <LI><A HREF=\"quickstart?ac=21#adding\"> Adding new files </A>\n"
	"	   <LI><A HREF=\"quickstart?ac=21#reverting\"> Reverting files </A>\n"
	"	   </UL>\n"
	"<P><LI>\n"
	"       <A HREF=\"quickstart?ac=21#submitting\"> Submitting a changelist </A>\n"
	"	   <UL>\n"
	"	   <LI><A HREF=\"quickstart?ac=21#submit_errors\"> Submit errors </A>\n"
	"	   <LI><A HREF=\"quickstart?ac=21#resolving\"> Resolving files </A>\n"
	"       <LI><A HREF=\"quickstart?ac=21#re-submitting\"> Re-submitting a changelist </A>\n"
	"	   </UL>\n"
	"</OL>\n"
	"\n"
	"\n"
	"<A NAME=\"setup\"><H3>Setting up a Workspace</H3></A>\n"
	"\n"
	"<p>\n"
	"The first thing you do in Perforce is to set up a personal\n"
	"<a href=\"defs?ac=21#clientworkspace\"><i>client workspace</i></a>\n"
	"on your local machine.\n"
	"You only have to do this once.\n"
	"You can\'t work with Perforce files until you\'ve created a\n"
	"client workspace specification, or\n"
	"<a href=\"defs?ac=21#clientspec\"><i>client spec</i></a>.\n"
	"<P><b>To set up a workspace:</b>\n"
	"<P>Select the <B>Clients</B> tab. At the top of that page, click on the <B>Edit \n"
	"  current client</B> link. \n"
	"<P>\n"
	"This brings up the Edit Client page, which contains a form.\n"
	"The important field to enter is the <B>Root</B>, which tells\n"
	"Perforce where on your local filesystem to put your workspace, or where to copy depot files to on\n"
	"your local filesystem.\n"
	"For example, if you want your workspace to be located in the \"c:&#92;ws\" path,\n"
	"enter \"c:&#92;ws\" in the <B>Root</B> field.\n"
	"<P>\n"
	"After entering the workspace root,\n"
	"go to the bottom of the page and click <b>Save</b>.\n"
	"(There are other fields you can edit, but you can come\n"
	"back to them later when you have a better idea of how\n"
	"Perforce works.)\n"
	"You\'ll see the message \"Client [<i>name</i>] saved.\"\n"
	"\n"
	"<P>\n"
	"If you ever need to change your client spec, just bring up this\n"
	"form again using the <B>Clients</B> tab.\n"
	"\n"
	"\n"
	"\n"
	"<A NAME=\"filling\"><H3>Filling a workspace (\"syncing\")</H3>\n"
	"</A> \n"
	"<P> After you have set up your workspace, you can fill it with files from the \n"
	"  depot. In Perforce, this is called \"syncing\" your workspace. To sync your workspace \n"
	"  for the first time, \n"
	"<OL>\n"
	"  <LI>Click the <B>Files</B> tab. If you do not see a tree view of the depot, \n"
	"    click <img src=\n"
	"\"/gotreeIcon?ac=20\"> to display it. \n"
	"    <p>\n"
	"<LI>Navigate through the tree to the depot path you want to work on.\n"
	"The current path is shown in the header at the top of the page. Navigate down until the path shown\n"
	"is the one you want to sync.\n"
	"It will look something like this:\n"
	"<P>\n"
	"    <BLOCKQUOTE>\n"
	"	<SMALL><B>Current path:</B> //depot/projects/gizmo/</SMALL>\n"
	"    </BLOCKQUOTE>\n"
	"<LI>Click the \"Sync to Head Revisions\" shortcut button.\n"
	"<P>\n"
	"	<BLOCKQUOTE>\n"
	"	<TABLE>\n"
	"	<TR><TD ALIGN=RIGHT >\n"
	"    <img src=\"/runsyncIcon?ac=20\" alt=\"Sync to Head Revisions\">\n"
	"	</TD><TD>\n"
	"	Shortcut to \"Sync to Head Revisions\"\n"
	"	</TD></TR>\n"
	"	</TABLE>\n"
	"	</BLOCKQUOTE>\n"
	"</LI>\n"
	"\n"
	"<LI>\n"
	"<P>\n"
	"This displays a command result page that shows you which files are\n"
	"being copied from the depot onto your workspace.\n"
	"When the result page is completely loaded,\n"
	"your workspace is \"in sync\" with the depot.\n"
	"Return to the tree view where you\'ll see icons\n"
	"showing that your files are synced.\n"
	"\n"
	"	<BLOCKQUOTE>\n"
	"	<TABLE>\n"
	"	<TR><TD ALIGN=right>\n"
	"    <img src=\"/syncedIcon?ac=20\" alt=\"Synced File\">\n"
	"	</TD><TD>\n"
	"	\"Synced File\" icon\n"
	"	</TD></TR>\n"
	"	</TABLE>\n"
	"	</BLOCKQUOTE>\n"
	"\n"
	"</LI>\n"
	"</OL>\n"
	"\n"
	"<p>\n"
	"<i>Note:</i>\n"
	"<p>\n"
	"<ul type=square>\n"
	"<li> Synced files have read-only permission in your workspace (until you start\n"
	"<A HREF=\"quickstart?ac=21#working\">working on them</A>).\n"
	"<p>\n"
	"<li> Perforce will sync to the <A HREF=\"defs?ac=21#headrevision\"><i>head revisions</i></A>\n"
	"of depot files, by default.\n"
	"</ul>\n"
	"\n"
	"<p>\n"
	"<a name=\"updating\">\n"
	"<h3>Updating (\"re-syncing\") a workspace</h3>\n"
	"</a>\n"
	"<p>\n"
	"After you sync your workspace it can eventually get out of date because other people\n"
	"are submitting changes to depot files.\n"
	"You can re-sync your workspace to update it.\n"
	"Navigate to the path you want to update and click\n"
	"the \"Sync\" shortcut:\n"
	"\n"
	"<P>\n"
	"<BLOCKQUOTE>\n"
	"<img src=\"/runsyncIcon?ac=20\" alt=\"Sync\"> Shortcut to \"Sync Files\"\n"
	"</BLOCKQUOTE>\n"
	"\n"
	"<P>\n"
	"When you sync, Perforce gets the files from the depot that are newer\n"
	"than the ones in your workspace.\n"
	"If you run sync more than once, nothing will happen\n"
	"the second time unless there are newer versions in the depot that are not\n"
	"yet in your workspace.\n"
	"Files that have\n"
	"already been copied to your workspace will not be copied a second time.\n"
	"<P>\n"
	"You should use sync regularly to\n"
	"update your workspace with the\n"
	"latest revisions of files.\n"
	"The files you are working on will be untouched when you sync.\n"
	"Read on to find out more about this.\n"
	"\n"
	"<A NAME=\"working\"><H3>Working on Files</H3></A>\n"
	"\n"
	"Once you have synced your workspace,\n"
	"you can work on files.\n"
	"You can edit files, add files, and delete files,\n"
	"but first you must \"open\" them for these operations.\n"
	"You can also revert opened files to their original state.\n"
	"<p>\n"
	"<i>Note:</i>\n"
	"<ul type=square>\n"
	"<li>Opening files does not affect files in the depot.\n"
	"    All it does is allow you to work on files in your workspace.\n"
	"<p>\n"
	"<li>You can open a file individually, by navigating to the directory that\n"
	"contains the file, then clicking on the file.\n"
	"You can then run commands on just that file.\n"
	"Most of the examples below describe opening a single\n"
	"file at a time.\n"
	"<p>\n"
	"<li>You can also open several files at once by navigating to the path that contains the files you\n"
	"want to open, then running commands from there.\n"
	"Commands run from the directory level can operate on all\n"
	"the files at or below the current path level.\n"
	"<P>\n"
	"<LI>Perforce tracks the files you\'re working on in a\n"
	"    <a href=\"defs?ac=21#changelist\"><i>changelist</i></a>.\n"
	"    As you open files, they go in your changelist.\n"
	"    You have to <a href=\"quickstart?ac=21#submitting\">\n"
	"	submit your changelist</A>\n"
	"    to get your changes into the depot. Before a changelist is submitted, it is described as\n"
	"    \"pending.\" Submitting changelists is described a little further on.\n"
	"\n"
	"</ul>\n"
	"\n"
	"\n"
	"<P>\n"
	"<A NAME=editing><h3>Editing files</h3></A>\n"
	"\n"
	"To open a file for edit, navigate to that file\n"
	"    and click the \"Open for Edit\" shortcut button.\n"
	"	A page showing the result of the edit command will appear. You can return to the tree view to\n"
	"	see a visual icon next to the file to remind you that you have it opened for\n"
	"	edit.\n"
	"\n"
	"	<BLOCKQUOTE>\n"
	"	<TABLE>\n"
	"	<TR>\n"
	"	<TD>\n"
	"    <img src=\"/runeditIcon?ac=20\" alt=\"Open for Edit\">\n"
	"	</TD>\n"
	"	<TD>\n"
	"	Shortcut to \"Open for Edit\"\n"
	"	</TD>\n"
	"	</TR>\n"
	"	<TR>\n"
	"	<TD ALIGN=right>\n"
	"    <img src=\"/editIcon?ac=20\" alt=\"Opened for Edit\">\n"
	"	</TD>\n"
	"	<TD>\n"
	"	\"Opened for Edit\" icon\n"
	"	</TD>\n"
	"	</TR>\n"
	"	</TABLE>\n"
	"	</BLOCKQUOTE>\n"
	"\n"
	"    <P>\n"
	"	Once a file is opened for edit, it becomes writeable by you.\n"
	"	Now you can use an editor or any other tool to modify the file.\n"
	"\n"
	"<P>\n"
	"<A NAME=deleting><h3>Deleting files</h3></A>\n"
	"\n"
	"To delete a depot file, first you have to \"open it for delete\"\n"
	"in your workspace.\n"
	"To open a file for delete, navigate to the file\n"
	"    and click the \"Open for Delete\" shortcut.\n"
	"	A page showing the result of the delete command will appear.\n"
	"	In the tree view, you\'ll see a visual icon\n"
	"	next to the file to remind you that you have it opened for\n"
	"	delete.\n"
	"\n"
	"	<BLOCKQUOTE>\n"
	"	<TABLE>\n"
	"	<TR><TD>\n"
	"    <img src=\"/rundeleteIcon?ac=20\" alt=\"Open for Delete\">\n"
	"	</TD><TD>\n"
	"	Shortcut to \"Open for Delete\"\n"
	"	</TD></TR>\n"
	"	<TR><TD ALIGN=right>\n"
	"    <img src=\"/deleteIcon?ac=20\" alt=\"Opened for Delete\">\n"
	"	</TD><TD>\n"
	"	\"Opened for Delete\" icon\n"
	"	</TD></TR>\n"
	"	</TABLE>\n"
	"	</BLOCKQUOTE>\n"
	"\n"
	"    <P>\n"
	"	When you open a file for delete, P4Web removes it from your workspace\n"
	"	and lets the Perforce server know you are planning on deleting it from\n"
	"	the depot. When you delete a file from Perforce, the file itself is not actually\n"
	"	\"deleted.\" The file remains in the depot, but it is marked as deleted at the\n"
	"	head revision.\n"
	"\n"
	"<A NAME=adding><H3>Adding new files</h3></A>\n"
	"To add new files to the Perforce depot, you will need to be in the Workspace tree. To do\n"
	"this, first select the <B>Files</B> tab and then click the \"Display tree view\" shortcut.\n"
	"    <BLOCKQUOTE>\n"
	"	<TABLE>\n"
	"	<TR><TD>\n"
	"    <img src=\"/gotreeIcon?ac=20\" alt=\"Display tree view\">\n"
	"	</TD><TD>\n"
	"	Shortcut to \"Display tree view\"\n"
	"	</TD></TR>\n"
	"    </TABLE>\n"
	"	</BLOCKQUOTE>\n"
	"\n"
	"If the label at the top of the\n"
	"tree says<B> Depot Tree</B>, click the <B>Switch\n"
	"to workspace tree</B> link. If it says <B>Workspace Tree</B>, you\'re in the right\n"
	"place. (The files must exist below your workspace root in order for you to add them to the depot.)\n"
	"	\n"
	"<p> Select <B>Open for add...</B> from the <b>Action</b> menu. \n"
	"<BLOCKQUOTE>\n"
	"		<TABLE>\n"
	"		<TR> <TD>\n"
	"		<SELECT>\n"
	"		<OPTION>Open for add...\n"
	"		</SELECT>\n"
	"		</TD></TR>\n"
	"		</TABLE>\n"
	"	</BLOCKQUOTE>\n"
	"\n"
	"	In the form that appears, select \"By path\" and click\n"
	"	\"Continue\".\n"
	"	Now you\'ll see a list of the files in your workspace\n"
	"	path that aren\'t already in the depot.\n"
	"	If there are any in that list that you <i>don\'t</i> want to\n"
	"	add, uncheck them.\n"
	"	<p>\n"
	"	Click the \"Add New Files\" button.\n"
	"	The files you entered will now be listed in the tree view with\n"
	"	visual icons showing that they are opened for add.\n"
	"\n"
	"	<BLOCKQUOTE>\n"
	"	<TABLE>\n"
	"	<TR><TD>\n"
	"    <img src=\"/addIcon?ac=20\" alt=\"Opened for Add\">\n"
	"	</TD><TD>\n"
	"	\"Opened for Add\" icon\n"
	"	</TD></TR>\n"
	"	</TABLE>\n"
	"	</BLOCKQUOTE>\n"
	"\n"
	"    <P>\n"
	"	Opening files for add tells\n"
	"    Perforce you plan to add them to the depot.\n"
	"	It doesn\'t create the files, however. You must have done that previously,\n"
	"	with an editor or any other tool.\n"
	"\n"
	"<p>\n"
	"\n"
	"\n"
	"<A NAME=reverting> <H3>Reverting files</H3></A>\n"
	"\n"
	"Sometimes after opening files you realize you don\'t need to change\n"
	"them after all. In that case,\n"
	"you can use \"Revert\" to\n"
	"restore opened files to their original condition.\n"
	"You can use \"Revert\" either from a folder or file level. The former reverts all opened files in a\n"
	"particular\n"
	"path; the latter reverts a particular file.\n"
	"\n"
	"<P>\n"
	"The \"Revert if Unchanged\"\n"
	"shortcut can be used to automatically revert files you have <i>opened for\n"
	"edit</i> as long as you haven\'t changed them.\n"
	"Navigate to the path or file in question and\n"
	"click the \"Revert if Unchanged\" button.\n"
	"\n"
	"	<BLOCKQUOTE>\n"
	"	<TABLE>\n"
	"	<TR><TD ALIGN=right>\n"
	"    <img src=\"/editIcon?ac=20\" alt=\"Opened for Edit\">\n"
	"	</TD><TD>\n"
	"	\"Opened for Edit\" icon\n"
	"	</TD></TR>\n"
	"	<TR><TD>\n"
	"    <img src=\"/runrevertIcon?ac=20\" alt=\"Revert if Unchanged\">\n"
	"	</TD><TD>\n"
	"	Shortcut to \"Revert if Unchanged\"\n"
	"	</TD></TR>\n"
	"	</TABLE>\n"
	"	</BLOCKQUOTE>\n"
	"\n"
	"<P> Neither files that you have modified nor files opened for add or delete can \n"
	"  be reverted using a shortcut. To revert those files, navigate to the path or \n"
	"  file in question and select <B>Revert...</B> from the <b>Action</b> menu. Click \n"
	"  <B>Revert</B> to run the command after you\'ve selected your options. \n"
	"<P>\n"
	"	<BLOCKQUOTE>\n"
	"	<TABLE>\n"
	"	<TR><TD >\n"
	"	<SELECT>\n"
	"	<OPTION>Revert...\n"
	"	</SELECT>\n"
	"	</TD></TR>\n"
	"	<TR><TD >\n"
	"	<INPUT TYPE=reset VALUE=\"Revert\">\n"
	"	</TD></TR>\n"
	"	</TABLE>\n"
	"	</BLOCKQUOTE>\n"
	"<P>\n"
	"Caution:\n"
	"<BLOCKQUOTE>\n"
	"In the Revert options page, you must leave the \"Restrict to unchanged files\"\n"
	"checkbox blank if you want to revert files opened for add or delete.\n"
	"Files you have opened for add remain intact after they are reverted so you don\'t\n"
	"have to worry about losing them.\n"
	"However,\n"
	"<FONT COLOR=red><I>P4Web overwrites files opened for edit when\n"
	"you run revert this way, discarding any workspace changes you have made to them.\n"
	"</I></FONT>\n"
	"Use the \"Selected Files\" option in the form to de-select any files with changes you\n"
	"don\'t want discarded:\n"
	"</BLOCKQUOTE>\n"
	"\n"
	"<P>\n"
	"<BLOCKQUOTE>\n"
	"	<TABLE>\n"
	"	<TR><TD >\n"
	"	<INPUT TYPE=checkbox>\n"
	"	Restrict to unchanged files\n"
	"	</TD></TR>\n"
	"	<TR><TD >\n"
	"	<INPUT TYPE=radio CHECKED>\n"
	"	Selected Files\n"
	"	</TD></TR>\n"
	"	</TABLE>\n"
	"</BLOCKQUOTE>\n"
	"\n"
	"\n"
	"\n"
	"<A NAME=\"submitting\"><H3>Submitting a changelist</H3></A>\n"
	"\n"
	"<p> As you open files you are building up a <a href=\"defs?ac=21#changelist\"><i>changelist</i></a>. \n"
	"  When you are satisfied with your changelist, you can submit it into the depot. \n"
	"  \"Submitting\" copies opened files from your workspace to the depot. Until then, \n"
	"  files in the depot are unaffected by your work. To submit your changelist, use \n"
	"  the \"Submit Default Changelist\" shortcut button. \n"
	"<p>\n"
	"	<BLOCKQUOTE>\n"
	"	<TABLE>\n"
	"	<TR><TD ALIGN=RIGHT >\n"
	"    <img src=\"/runsubmitIcon?ac=20\" alt=\"Submit Default Changelist\">\n"
	"	</TD><TD>\n"
	"	Shortcut to \"Submit Default Changelist\"\n"
	"	</TD></TR>\n"
	"	</TABLE>\n"
	"	</BLOCKQUOTE>\n"
	"\n"
	"<P>\n"
	"In the form that comes up, enter a description that explains\n"
	"why you are submitting these files.\n"
	"This description\n"
	"is stored permanently in Perforce and will be visible to anyone who\n"
	"looks at the history of any of the files in your changelist.\n"
	"<P>\n"
	"You don\'t have to fill in the Jobs field.\n"
	"It is used to associate <A HREF=\"defs?ac=21#job\"><i>jobs</i></A> with changelists.\n"
	"<P>\n"
	"At the bottom of the form you\'ll see a checkbox list of all your\n"
	"opened files. If there are any you <i>don\'t</i> want to submit,\n"
	"uncheck them now. Then click the \"Submit\" button.\n"
	"A results page will show you whether or not your submit succeeded.\n"
	"<P>\n"
	"	<BLOCKQUOTE>\n"
	"	<TABLE>\n"
	"	<TR><TD COLSPAN=2 >\n"
	"	<INPUT TYPE=reset VALUE=\"Submit\">\n"
	"	</TD></TR>\n"
	"	</TABLE>\n"
	"	</BLOCKQUOTE>\n"
	"\n"
	"<P>\n"
	"<i>Note:</i>\n"
	"     If any of the files you submit have been changed by someone else\n"
	"     first, you\'ll get a submit error, as described below.\n"
	"	 This is perfectly normal.\n"
	"     When it happens all you have to do is\n"
	"     <A HREF=\"quickstart?ac=21#resolving\">resolve your files</A> and\n"
	"     <a href=\"quickstart?ac=21#re-submitting\">re-submit your changelist</a>.\n"
	"<P>\n"
	"\n"
	"<a name=\"submit_errors\"><h3>Submit errors</h3></a>\n"
	"<p>\n"
	"Sometimes when you\'ve been working on files, other people will have\n"
	"submitted changes to the same files. If you haven\'t\n"
	"<a href=\"quickstart?ac=21#updating\">re-synced your workspace</a> periodically and\n"
	"<a href=\"quickstart?ac=21#resolving\">resolved files</a>, you\'ll get a submit error\n"
	"when you try to submit your changelist.\n"
	"<p>\n"
	"Here\'s an example of what a submit error looks like:\n"
	"<pre>\n"
	"	Submitting change 5047.\n"
	"	//depot/dev/omni/svr/dynch.c - must resolve before submitting\n"
	"	//socks-whitehouse/dev/omni/svr/dynch.c - must resolve //depot/dev/omni/svr/dynch.c#7\n"
	"	Out of date files must be resolve or reverted.\n"
	"	Merges still pending -- use \'resolve\' to merge files.\n"
	"	Submit failed -- fix problems above them use \'submit -c 5047\'\n"
	"</pre>\n"
	"What this means is that your changelist has been assigned a number&#151;5047, \n"
	"in this example&#151;but it has not been submitted. You\'ll have to resolve your \n"
	"files before you can re-submit your changelist. \n"
	"<p>\n"
	"<A NAME=\"resolving\"><H3>Resolving files</H3></A>\n"
	"\n"
	"<p>\n"
	"Resolving files is how you merge someone else\'s changes with your\n"
	"changes, when you\'ve both been working on the same files.\n"
	"<P>\n"
	"For example, say you synced the file <code>main.c</code> to your workspace\n"
	"when it was at revision #6 in the depot. Then you opened it for edit.\n"
	"Then someone else\n"
	"submitted revision #7 into the depot.\n"
	"Resolving allows you to merge the changes from the depot\'s\n"
	"<code>main.c#7</code>\n"
	"into the opened copy of <code>main.c</code> in your workspace.\n"
	"\n"
	"<p>\n"
	"Note that\n"
	"files in your workspace don\'t actually need resolving until you either\n"
	"<a href=\"quickstart?ac=21#updating\">re-sync your workspace</a>, or get a\n"
	"<a href=\"quickstart?ac=21#submit_errors\">submit error</a> trying to submit files that\n"
	"have been changed in the depot by someone else.\n"
	"You can tell which of your files need to be resolved by looking for the\n"
	"\"Needs Resolve\" icon on files listed in the tree view.\n"
	"\n"
	"	<BLOCKQUOTE>\n"
	"	<TABLE>\n"
	"	<TR><TD >\n"
	"    <img src=\"/resolveIcon?ac=20\" alt=\"Needs Resolve\">\n"
	"	</TD><TD>\n"
	"	\"Needs Resolve\" icon\n"
	"	</TD></TR>\n"
	"	</TABLE>\n"
	"	</BLOCKQUOTE>\n"
	"\n"
	"<p> You can resolve your files with the <B>Resolve...</B> option in the <b>Action</b> \n"
	"  menu. Selecting this takes you to the <b>Resolve</b> options page. \n"
	"<P>\n"
	"Select \"Interactively\" to launch a resolve application in a separate window. If you have specified a resolve program to use with Perforce, P4Web launches that.\n"
	"If not, the default Perforce resolve program is launched.\n"
	"It prompts you through your unresolved files\n"
	"and lets you choose what to do.\n"
	"For each file, you\'ll see information like:\n"
	"<pre>\n"
	"	c:&#92;ws&#92;jam&#92;main.c - merging //depot/proj/jam/main.c#7\n"
	"	Diff chunks: 0 yours + 2 theirs + 0 both + 0 conflicting\n"
	"</pre>\n"
	"...and a prompt like:\n"
	"<pre>\n"
	"	Accept(a) Edit(e) Diff(d) Merge (m) Skip(s) Help(?) [at]:\n"
	"</pre>\n"
	"Follow the prompt\'s advised action by hitting return. The prompt shows <code>[</code>in \n"
	"square brackets<code>]</code> which action it advises you to take. If there are \n"
	"no conflicting diffs (differences), the merged result is saved in your workspace \n"
	"file, and the <b>resolve</b> program goes on to the next file. \n"
	"<p> If there <i>are</i> conflicting diffs, you are put into an editor to resolve \n"
	"  the conflicts. The conflicts are marked by lines beginning with <code>&gt;&gt;&gt;&gt;</code>, \n"
	"  <code>====</code>, or <code>&lt;&lt;&lt;&lt;</code>. For example: \n"
	"<pre>\n"
	"    <font color=red> &gt;&gt;&gt;&gt; ORIGINAL\n"
	"    </font> i = i + j\n"
	"    <font color=red> ==== THEIRS\n"
	"    </font> if ( i &lt; n ) then i = i + j\n"
	"    <font color=red> ==== YOURS\n"
	"    </font> if ( i &lt;= n ) then i = i + j\n"
	"    <font color=red> &lt;&lt;&lt;&lt; </font>\n"
	"    </pre>\n"
	"While in the editor, your job is to look for the conflicts, remove the conflict \n"
	"markers (shown here in <font color=red>red</font>), and modify the remaining text \n"
	"in a way that makes sense. When you exit the editor, the prompt advises you to \n"
	"accept the edited result. \n"
	"<p>\n"
	"You can choose to skip any\n"
	"    file and resolve it later. Your workspace\n"
	"    file will remain untouched if you choose to skip the file.\n"
	"\n"
	"\n"
	"<a name=\"re-submitting\">\n"
	"<h3>Re-submitting a changelist\n"
	"</h3></a>\n"
	"<P>\n"
	"A submit error will cause your changelist to be assigned a number.\n"
	"After you\'ve resolved the files that caused the submit error, you\n"
	"can re-submit your numbered changelist by selecting the <B>Pending</B> tab\n"
	"and clicking on the changelist number you want to submit.\n"
	"Now you can submit your changelist following the instructions in\n"
	"<A HREF=\"quickstart?ac=21#submitting\">Submitting a Changelist</A>.\n"
	"\n"
	"\n"
	"\n"
	"\n"
	"\n"
	"\n"
	"\n"
	"\n"
	"\n"
	"\n"
	"\n"
	;

